
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>C#中的BackgroundWorker控件 / iVAN</title>

    <meta name="description" content="C#中的BackgroundWorker控件 Keywords: C# .NET BackgroundWorkerSource: http://txw1958.cnblogs.com/ BackgroundWorker是.NET Framework 里用来执行多线程任务的控件,它允许开发人员在一个单独的线程上执行一些操作.耗时的操作(如下载和数据库事务)在长时间运行时可能会导致用户界面 (UI) 始终处于停止响应状态.如果您需要能进行响应的用户界面,而且面临与这类操作相关的长时间延迟,则可以使用 BackgroundWorker 类方便地解">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">C#中的BackgroundWorker控件</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>Keywords: <strong>C#</strong> .NET <strong>BackgroundWorker</strong><br />Source: <a href="http://txw1958.cnblogs.com/" rel="external nofollow noreferrer">http://txw1958.cnblogs.com/</a></p>
<p>BackgroundWorker是.NET Framework 里用来执行多线程任务的控件，它允许开发人员在一个单独的线程上执行一些操作。耗时的操作（如下载和数据库事务）在长时间运行时可能会导致用户界面 (UI) 始终处于停止响应状态。如果您需要能进行响应的用户界面，而且面临与这类操作相关的长时间延迟，则可以使用 BackgroundWorker 类方便地解决问题。</p>
<p>若要在后台执行耗时的操作，请创建一个 BackgroundWorker，侦听那些报告操作进度并在操作完成时发出信号的事件。 可以通过编程方式创建 BackgroundWorker，也可以将它从“工具箱”的“组件”选项卡中拖到窗体上。 如果在 Windows 窗体设计器中创建 BackgroundWorker，则它会出现在组件栏中，而且它的属性会显示在“属性”窗口中。 </p>
<h2>语法</h2>

<pre>public class BackgroundWorker : Component</pre>
<p> </p>
<h2>构造函数</h2>
<table>
<tbody>
<tr>
<th> </th>
<th>名称</th>
<th>说明</th>
</tr>
<tr>
<td><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2ltZ18wMzBjNDFkOTA3OTY3MWQwOWE2MmQ4ZTJjMWRiNjk3My5naWY=.jpg"></td>
<td><a href="http://msdn.microsoft.com/zh-cn/library/system.componentmodel.backgroundworker.backgroundworker(v=vs.100).aspx" rel="external nofollow noreferrer">BackgroundWorker</a></td>
<td>初始化 BackgroundWorker 类的新实例。</td>
</tr>
</tbody>
</table>
<h2>属性</h2>
<table>
<tbody>
<tr>
<th> </th>
<th>名称</th>
<th>说明</th>
</tr>
<tr>
<td><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2ltZ18wMzBjNDFkOTA3OTY3MWQwOWE2MmQ4ZTJjMWRiNjk3My5naWY=.jpg"></td>
<td><a href="http://msdn.microsoft.com/zh-cn/library/system.componentmodel.backgroundworker.cancellationpending(v=vs.100).aspx" rel="external nofollow noreferrer">CancellationPending</a></td>
<td>获取一个值，指示应用程序是否已请求取消后台操作。</td>
</tr>
<tr>
<td><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2ltZ18wMzBjNDFkOTA3OTY3MWQwOWE2MmQ4ZTJjMWRiNjk3My5naWY=.jpg"></td>
<td><a href="http://msdn.microsoft.com/zh-cn/library/system.componentmodel.component.canraiseevents(v=vs.100).aspx" rel="external nofollow noreferrer">CanRaiseEvents</a></td>
<td>
获取一个指示组件是否可以引发事件的值。 （继承自 <a href="http://msdn.microsoft.com/zh-cn/library/system.componentmodel.component(v=vs.100).aspx" rel="external nofollow noreferrer">Component</a>。）</td>
</tr>
<tr>
<td><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2ltZ18wMzBjNDFkOTA3OTY3MWQwOWE2MmQ4ZTJjMWRiNjk3My5naWY=.jpg"></td>
<td><a href="http://msdn.microsoft.com/zh-cn/library/system.componentmodel.component.container(v=vs.100).aspx" rel="external nofollow noreferrer">Container</a></td>
<td>
获取 <a href="http://msdn.microsoft.com/zh-cn/library/system.componentmodel.icontainer(v=vs.100).aspx" rel="external nofollow noreferrer">IContainer</a>，它包含 <a href="http://msdn.microsoft.com/zh-cn/library/system.componentmodel.component(v=vs.100).aspx" rel="external nofollow noreferrer">Component</a>。 （继承自 <a href="http://msdn.microsoft.com/zh-cn/library/system.componentmodel.component(v=vs.100).aspx" rel="external nofollow noreferrer">Component</a>。）</td>
</tr>
<tr>
<td><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2ltZ18wMzBjNDFkOTA3OTY3MWQwOWE2MmQ4ZTJjMWRiNjk3My5naWY=.jpg"></td>
<td><a href="http://msdn.microsoft.com/zh-cn/library/system.componentmodel.component.designmode(v=vs.100).aspx" rel="external nofollow noreferrer">DesignMode</a></td>
<td>
获取一个值，用以指示 <a href="http://msdn.microsoft.com/zh-cn/library/system.componentmodel.component(v=vs.100).aspx" rel="external nofollow noreferrer">Component</a> 当前是否处于设计模式。 （继承自 <a href="http://msdn.microsoft.com/zh-cn/library/system.componentmodel.component(v=vs.100).aspx" rel="external nofollow noreferrer">Component</a>。）</td>
</tr>
<tr>
<td><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2ltZ18wMzBjNDFkOTA3OTY3MWQwOWE2MmQ4ZTJjMWRiNjk3My5naWY=.jpg"></td>
<td><a href="http://msdn.microsoft.com/zh-cn/library/system.componentmodel.component.events(v=vs.100).aspx" rel="external nofollow noreferrer">Events</a></td>
<td>
获取附加到此 <a href="http://msdn.microsoft.com/zh-cn/library/system.componentmodel.component(v=vs.100).aspx" rel="external nofollow noreferrer">Component</a> 的事件处理程序的列表。 （继承自 <a href="http://msdn.microsoft.com/zh-cn/library/system.componentmodel.component(v=vs.100).aspx" rel="external nofollow noreferrer">Component</a>。）</td>
</tr>
<tr>
<td><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2ltZ18wMzBjNDFkOTA3OTY3MWQwOWE2MmQ4ZTJjMWRiNjk3My5naWY=.jpg"></td>
<td><a href="http://msdn.microsoft.com/zh-cn/library/system.componentmodel.backgroundworker.isbusy(v=vs.100).aspx" rel="external nofollow noreferrer">IsBusy</a></td>
<td>获取一个值，指示 BackgroundWorker 是否正在运行异步操作。</td>
</tr>
<tr>
<td><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2ltZ18wMzBjNDFkOTA3OTY3MWQwOWE2MmQ4ZTJjMWRiNjk3My5naWY=.jpg"></td>
<td><a href="http://msdn.microsoft.com/zh-cn/library/system.componentmodel.component.site(v=vs.100).aspx" rel="external nofollow noreferrer">Site</a></td>
<td>
获取或设置 <a href="http://msdn.microsoft.com/zh-cn/library/system.componentmodel.component(v=vs.100).aspx" rel="external nofollow noreferrer">Component</a> 的 <a href="http://msdn.microsoft.com/zh-cn/library/system.componentmodel.isite(v=vs.100).aspx" rel="external nofollow noreferrer">ISite</a>。 （继承自 <a href="http://msdn.microsoft.com/zh-cn/library/system.componentmodel.component(v=vs.100).aspx" rel="external nofollow noreferrer">Component</a>。）</td>
</tr>
<tr>
<td><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2ltZ18wMzBjNDFkOTA3OTY3MWQwOWE2MmQ4ZTJjMWRiNjk3My5naWY=.jpg"></td>
<td><a href="http://msdn.microsoft.com/zh-cn/library/system.componentmodel.backgroundworker.workerreportsprogress(v=vs.100).aspx" rel="external nofollow noreferrer">WorkerReportsProgress</a></td>
<td>获取或设置一个值，该值指示 BackgroundWorker 能否报告进度更新。</td>
</tr>
<tr>
<td><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2ltZ18wMzBjNDFkOTA3OTY3MWQwOWE2MmQ4ZTJjMWRiNjk3My5naWY=.jpg"></td>
<td><a href="http://msdn.microsoft.com/zh-cn/library/system.componentmodel.backgroundworker.workersupportscancellation(v=vs.100).aspx" rel="external nofollow noreferrer">WorkerSupportsCancellation</a></td>
<td>获取或设置一个值，该值指示 BackgroundWorker 是否支持异步取消。</td>
</tr>
</tbody>
</table>
<h2> 方法</h2>
<table>
<tbody>
<tr>
<th> </th>
<th>名称</th>
<th>说明</th>
</tr>
<tr>
<td><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2ltZ18wMzBjNDFkOTA3OTY3MWQwOWE2MmQ4ZTJjMWRiNjk3My5naWY=.jpg"></td>
<td><a href="http://msdn.microsoft.com/zh-cn/library/system.componentmodel.backgroundworker.cancelasync(v=vs.100).aspx" rel="external nofollow noreferrer">CancelAsync</a></td>
<td>请求取消挂起的后台操作。</td>
</tr>
<tr>
<td><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2ltZ18wMzBjNDFkOTA3OTY3MWQwOWE2MmQ4ZTJjMWRiNjk3My5naWY=.jpg"></td>
<td><a href="http://msdn.microsoft.com/zh-cn/library/system.marshalbyrefobject.createobjref(v=vs.100).aspx" rel="external nofollow noreferrer">CreateObjRef</a></td>
<td>
创建一个对象，该对象包含生成用于与远程对象进行通信的代理所需的全部相关信息。 （继承自<a href="http://msdn.microsoft.com/zh-cn/library/system.marshalbyrefobject(v=vs.100).aspx" rel="external nofollow noreferrer">MarshalByRefObject</a>。）</td>
</tr>
<tr>
<td><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2ltZ18wMzBjNDFkOTA3OTY3MWQwOWE2MmQ4ZTJjMWRiNjk3My5naWY=.jpg"></td>
<td><a href="http://msdn.microsoft.com/zh-cn/library/3cc9y48w(v=vs.100).aspx" rel="external nofollow noreferrer">Dispose()</a></td>
<td>
释放由 <a href="http://msdn.microsoft.com/zh-cn/library/system.componentmodel.component(v=vs.100).aspx" rel="external nofollow noreferrer">Component</a> 使用的所有资源。 （继承自 <a href="http://msdn.microsoft.com/zh-cn/library/system.componentmodel.component(v=vs.100).aspx" rel="external nofollow noreferrer">Component</a>。）</td>
</tr>
<tr>
<td><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2ltZ18wMzBjNDFkOTA3OTY3MWQwOWE2MmQ4ZTJjMWRiNjk3My5naWY=.jpg"></td>
<td><a href="http://msdn.microsoft.com/zh-cn/library/d9yzd5cx(v=vs.100).aspx" rel="external nofollow noreferrer">Dispose(Boolean)</a></td>
<td>
释放 <a href="http://msdn.microsoft.com/zh-cn/library/system.componentmodel.component(v=vs.100).aspx" rel="external nofollow noreferrer">Component</a> 占用的非托管资源，也可以选择释放托管资源。 （继承自 <a href="http://msdn.microsoft.com/zh-cn/library/system.componentmodel.component(v=vs.100).aspx" rel="external nofollow noreferrer">Component</a>。）</td>
</tr>
<tr>
<td><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2ltZ18wMzBjNDFkOTA3OTY3MWQwOWE2MmQ4ZTJjMWRiNjk3My5naWY=.jpg"></td>
<td><a href="http://msdn.microsoft.com/zh-cn/library/bsc2ak47(v=vs.100).aspx" rel="external nofollow noreferrer">Equals(Object)</a></td>
<td>
确定指定的 <a href="http://msdn.microsoft.com/zh-cn/library/system.object(v=vs.100).aspx" rel="external nofollow noreferrer">Object</a> 是否等于当前的 <a href="http://msdn.microsoft.com/zh-cn/library/system.object(v=vs.100).aspx" rel="external nofollow noreferrer">Object</a>。 （继承自 <a href="http://msdn.microsoft.com/zh-cn/library/system.object(v=vs.100).aspx" rel="external nofollow noreferrer">Object</a>。）</td>
</tr>
<tr>
<td><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2ltZ18wMzBjNDFkOTA3OTY3MWQwOWE2MmQ4ZTJjMWRiNjk3My5naWY=.jpg"></td>
<td><a href="http://msdn.microsoft.com/zh-cn/library/az5741fh(v=vs.100).aspx" rel="external nofollow noreferrer">Finalize</a></td>
<td>
在通过垃圾回收将 <a href="http://msdn.microsoft.com/zh-cn/library/system.componentmodel.component(v=vs.100).aspx" rel="external nofollow noreferrer">Component</a> 回收之前，释放非托管资源并执行其他清理操作。 （继承自 <a href="http://msdn.microsoft.com/zh-cn/library/system.componentmodel.component(v=vs.100).aspx" rel="external nofollow noreferrer">Component</a>。）</td>
</tr>
<tr>
<td><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2ltZ18wMzBjNDFkOTA3OTY3MWQwOWE2MmQ4ZTJjMWRiNjk3My5naWY=.jpg"></td>
<td><a href="http://msdn.microsoft.com/zh-cn/library/system.object.gethashcode(v=vs.100).aspx" rel="external nofollow noreferrer">GetHashCode</a></td>
<td>
用作特定类型的哈希函数。 （继承自 <a href="http://msdn.microsoft.com/zh-cn/library/system.object(v=vs.100).aspx" rel="external nofollow noreferrer">Object</a>。）</td>
</tr>
<tr>
<td><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2ltZ18wMzBjNDFkOTA3OTY3MWQwOWE2MmQ4ZTJjMWRiNjk3My5naWY=.jpg"></td>
<td><a href="http://msdn.microsoft.com/zh-cn/library/system.marshalbyrefobject.getlifetimeservice(v=vs.100).aspx" rel="external nofollow noreferrer">GetLifetimeService</a></td>
<td>
检索控制此实例的生存期策略的当前生存期服务对象。 （继承自 <a href="http://msdn.microsoft.com/zh-cn/library/system.marshalbyrefobject(v=vs.100).aspx" rel="external nofollow noreferrer">MarshalByRefObject</a>。）</td>
</tr>
<tr>
<td><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2ltZ18wMzBjNDFkOTA3OTY3MWQwOWE2MmQ4ZTJjMWRiNjk3My5naWY=.jpg"></td>
<td><a href="http://msdn.microsoft.com/zh-cn/library/system.componentmodel.component.getservice(v=vs.100).aspx" rel="external nofollow noreferrer">GetService</a></td>
<td>
返回一个对象，该对象表示由 <a href="http://msdn.microsoft.com/zh-cn/library/system.componentmodel.component(v=vs.100).aspx" rel="external nofollow noreferrer">Component</a> 或它的 <a href="http://msdn.microsoft.com/zh-cn/library/system.componentmodel.container(v=vs.100).aspx" rel="external nofollow noreferrer">Container</a> 提供的服务。 （继承自 <a href="http://msdn.microsoft.com/zh-cn/library/system.componentmodel.component(v=vs.100).aspx" rel="external nofollow noreferrer">Component</a>。）</td>
</tr>
<tr>
<td><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2ltZ18wMzBjNDFkOTA3OTY3MWQwOWE2MmQ4ZTJjMWRiNjk3My5naWY=.jpg"></td>
<td><a href="http://msdn.microsoft.com/zh-cn/library/system.object.gettype(v=vs.100).aspx" rel="external nofollow noreferrer">GetType</a></td>
<td>
获取当前实例的 <a href="http://msdn.microsoft.com/zh-cn/library/system.type(v=vs.100).aspx" rel="external nofollow noreferrer">Type</a>。 （继承自 <a href="http://msdn.microsoft.com/zh-cn/library/system.object(v=vs.100).aspx" rel="external nofollow noreferrer">Object</a>。）</td>
</tr>
<tr>
<td><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2ltZ18wMzBjNDFkOTA3OTY3MWQwOWE2MmQ4ZTJjMWRiNjk3My5naWY=.jpg"></td>
<td><a href="http://msdn.microsoft.com/zh-cn/library/system.marshalbyrefobject.initializelifetimeservice(v=vs.100).aspx" rel="external nofollow noreferrer">InitializeLifetimeService</a></td>
<td>
获取控制此实例的生存期策略的生存期服务对象。 （继承自 <a href="http://msdn.microsoft.com/zh-cn/library/system.marshalbyrefobject(v=vs.100).aspx" rel="external nofollow noreferrer">MarshalByRefObject</a>。）</td>
</tr>
<tr>
<td><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2ltZ18wMzBjNDFkOTA3OTY3MWQwOWE2MmQ4ZTJjMWRiNjk3My5naWY=.jpg"></td>
<td><a href="http://msdn.microsoft.com/zh-cn/library/system.object.memberwiseclone(v=vs.100).aspx" rel="external nofollow noreferrer">MemberwiseClone()</a></td>
<td>
创建当前 <a href="http://msdn.microsoft.com/zh-cn/library/system.object(v=vs.100).aspx" rel="external nofollow noreferrer">Object</a> 的浅表副本。 （继承自 <a href="http://msdn.microsoft.com/zh-cn/library/system.object(v=vs.100).aspx" rel="external nofollow noreferrer">Object</a>。）</td>
</tr>
<tr>
<td><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2ltZ18wMzBjNDFkOTA3OTY3MWQwOWE2MmQ4ZTJjMWRiNjk3My5naWY=.jpg"></td>
<td><a href="http://msdn.microsoft.com/zh-cn/library/ms131262(v=vs.100).aspx" rel="external nofollow noreferrer">MemberwiseClone(Boolean)</a></td>
<td>
创建当前 <a href="http://msdn.microsoft.com/zh-cn/library/system.marshalbyrefobject(v=vs.100).aspx" rel="external nofollow noreferrer">MarshalByRefObject</a> 对象的浅表副本。 （继承自 <a href="http://msdn.microsoft.com/zh-cn/library/system.marshalbyrefobject(v=vs.100).aspx" rel="external nofollow noreferrer">MarshalByRefObject</a>。）</td>
</tr>
<tr>
<td><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2ltZ18wMzBjNDFkOTA3OTY3MWQwOWE2MmQ4ZTJjMWRiNjk3My5naWY=.jpg"></td>
<td><a href="http://msdn.microsoft.com/zh-cn/library/system.componentmodel.backgroundworker.ondowork(v=vs.100).aspx" rel="external nofollow noreferrer">OnDoWork</a></td>
<td>引发 <a href="http://msdn.microsoft.com/zh-cn/library/system.componentmodel.backgroundworker.dowork(v=vs.100).aspx" rel="external nofollow noreferrer">DoWork</a> 事件。</td>
</tr>
<tr>
<td><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2ltZ18wMzBjNDFkOTA3OTY3MWQwOWE2MmQ4ZTJjMWRiNjk3My5naWY=.jpg"></td>
<td><a href="http://msdn.microsoft.com/zh-cn/library/system.componentmodel.backgroundworker.onprogresschanged(v=vs.100).aspx" rel="external nofollow noreferrer">OnProgressChanged</a></td>
<td>引发 <a href="http://msdn.microsoft.com/zh-cn/library/system.componentmodel.backgroundworker.progresschanged(v=vs.100).aspx" rel="external nofollow noreferrer">ProgressChanged</a> 事件。</td>
</tr>
<tr>
<td><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2ltZ18wMzBjNDFkOTA3OTY3MWQwOWE2MmQ4ZTJjMWRiNjk3My5naWY=.jpg"></td>
<td><a href="http://msdn.microsoft.com/zh-cn/library/system.componentmodel.backgroundworker.onrunworkercompleted(v=vs.100).aspx" rel="external nofollow noreferrer">OnRunWorkerCompleted</a></td>
<td>引发 <a href="http://msdn.microsoft.com/zh-cn/library/system.componentmodel.backgroundworker.runworkercompleted(v=vs.100).aspx" rel="external nofollow noreferrer">RunWorkerCompleted</a> 事件。</td>
</tr>
<tr>
<td><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2ltZ18wMzBjNDFkOTA3OTY3MWQwOWE2MmQ4ZTJjMWRiNjk3My5naWY=.jpg"></td>
<td><a href="http://msdn.microsoft.com/zh-cn/library/ka89zff4(v=vs.100).aspx" rel="external nofollow noreferrer">ReportProgress(Int32)</a></td>
<td>引发 <a href="http://msdn.microsoft.com/zh-cn/library/system.componentmodel.backgroundworker.progresschanged(v=vs.100).aspx" rel="external nofollow noreferrer">ProgressChanged</a> 事件。</td>
</tr>
<tr>
<td><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2ltZ18wMzBjNDFkOTA3OTY3MWQwOWE2MmQ4ZTJjMWRiNjk3My5naWY=.jpg"></td>
<td><a href="http://msdn.microsoft.com/zh-cn/library/a3zbdb1t(v=vs.100).aspx" rel="external nofollow noreferrer">ReportProgress(Int32, Object)</a></td>
<td>引发 <a href="http://msdn.microsoft.com/zh-cn/library/system.componentmodel.backgroundworker.progresschanged(v=vs.100).aspx" rel="external nofollow noreferrer">ProgressChanged</a> 事件。</td>
</tr>
<tr>
<td><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2ltZ18wMzBjNDFkOTA3OTY3MWQwOWE2MmQ4ZTJjMWRiNjk3My5naWY=.jpg"></td>
<td><a href="http://msdn.microsoft.com/zh-cn/library/h01xszh2(v=vs.100).aspx" rel="external nofollow noreferrer">RunWorkerAsync()</a></td>
<td>开始执行后台操作。</td>
</tr>
<tr>
<td><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2ltZ18wMzBjNDFkOTA3OTY3MWQwOWE2MmQ4ZTJjMWRiNjk3My5naWY=.jpg"></td>
<td><a href="http://msdn.microsoft.com/zh-cn/library/f00zz5b2(v=vs.100).aspx" rel="external nofollow noreferrer">RunWorkerAsync(Object)</a></td>
<td>开始执行后台操作。</td>
</tr>
<tr>
<td><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2ltZ18wMzBjNDFkOTA3OTY3MWQwOWE2MmQ4ZTJjMWRiNjk3My5naWY=.jpg"></td>
<td><a href="http://msdn.microsoft.com/zh-cn/library/z819d1t5(v=vs.100).aspx" rel="external nofollow noreferrer">ToString</a></td>
<td>
返回包含 <a href="http://msdn.microsoft.com/zh-cn/library/system.componentmodel.component(v=vs.100).aspx" rel="external nofollow noreferrer">Component</a> 的名称的 <a href="http://msdn.microsoft.com/zh-cn/library/system.string(v=vs.100).aspx" rel="external nofollow noreferrer">String</a>（如果有）。 不应重写此方法。 （继承自 <a href="http://msdn.microsoft.com/zh-cn/library/system.componentmodel.component(v=vs.100).aspx" rel="external nofollow noreferrer">Component</a>。）</td>
</tr>
</tbody>
</table>
<h2>事件</h2>
<table>
<tbody>
<tr>
<th> </th>
<th>名称</th>
<th>说明</th>
</tr>
<tr>
<td><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2ltZ18wMzBjNDFkOTA3OTY3MWQwOWE2MmQ4ZTJjMWRiNjk3My5naWY=.jpg"></td>
<td><a href="http://msdn.microsoft.com/zh-cn/library/system.componentmodel.component.disposed(v=vs.100).aspx" rel="external nofollow noreferrer">Disposed</a></td>
<td>
当通过调用 <a href="http://msdn.microsoft.com/zh-cn/library/system.componentmodel.component.dispose(v=vs.100).aspx" rel="external nofollow noreferrer">Dispose</a> 方法释放组件时发生。 （继承自 <a href="http://msdn.microsoft.com/zh-cn/library/system.componentmodel.component(v=vs.100).aspx" rel="external nofollow noreferrer">Component</a>。）</td>
</tr>
<tr>
<td><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2ltZ18wMzBjNDFkOTA3OTY3MWQwOWE2MmQ4ZTJjMWRiNjk3My5naWY=.jpg"></td>
<td><a href="http://msdn.microsoft.com/zh-cn/library/system.componentmodel.backgroundworker.dowork(v=vs.100).aspx" rel="external nofollow noreferrer">DoWork</a></td>
<td>调用 <a href="http://msdn.microsoft.com/zh-cn/library/system.componentmodel.backgroundworker.runworkerasync(v=vs.100).aspx" rel="external nofollow noreferrer">RunWorkerAsync</a> 时发生。</td>
</tr>
<tr>
<td><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2ltZ18wMzBjNDFkOTA3OTY3MWQwOWE2MmQ4ZTJjMWRiNjk3My5naWY=.jpg"></td>
<td><a href="http://msdn.microsoft.com/zh-cn/library/system.componentmodel.backgroundworker.progresschanged(v=vs.100).aspx" rel="external nofollow noreferrer">ProgressChanged</a></td>
<td>调用 <a href="http://msdn.microsoft.com/zh-cn/library/system.componentmodel.backgroundworker.reportprogress(v=vs.100).aspx" rel="external nofollow noreferrer">ReportProgress</a> 时发生。</td>
</tr>
<tr>
<td><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2ltZ18wMzBjNDFkOTA3OTY3MWQwOWE2MmQ4ZTJjMWRiNjk3My5naWY=.jpg"></td>
<td><a href="http://msdn.microsoft.com/zh-cn/library/system.componentmodel.backgroundworker.runworkercompleted(v=vs.100).aspx" rel="external nofollow noreferrer">RunWorkerCompleted</a></td>
<td>当后台操作已完成、被取消或引发异常时发生。</td>
</tr>
</tbody>
</table>
<h2>    <br />示例</h2>
<p>本代码运行环境：Windows XP, Visual Studio 2010, .NET Framework 4, C#</p>
<p>下面的代码示例演示 BackgroundWorker 类异步执行耗时的基本知识。 下图显示输出的示例。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2ltZ18yODFkY2E0MjM4YjllYmRiY2YxZGU3NDkyZjM3NmUwOC5wbmc=.jpg"></p>
<p>要尝试该代码，可创建 Windows 窗体应用程序。 添加一个名为 resultLabel 的 Label 控件并添加两个名为 startAsyncButton 和 cancelAsyncButton 的 Button 控件。 创建这两个按钮的 Click 事件处理程序。 从工具箱中的“组件”选项卡中，添加命名为 backgroundWorker1 的 BackgroundWorker 组件。 创建 DoWork、 ProgressChanged 和 BackgroundWorker 的 RunWorkerCompleted 事件处理程序。</p>
<p>在窗体的代码中，用下列代码替换现有代码。</p>
<pre>using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace WindowsFormsApplication5
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            backgroundWorker1.WorkerReportsProgress = true;
            backgroundWorker1.WorkerSupportsCancellation = true;
        }

        private void startAsyncButton_Click(object sender, EventArgs e)
        {
            if (backgroundWorker1.IsBusy != true)
            {
                // 启动异步操作
                backgroundWorker1.RunWorkerAsync();
            }
            this.startAsyncButton.Enabled = false;
        }

        private void cancelAsyncButton_Click(object sender, EventArgs e)
        {
            if (backgroundWorker1.WorkerSupportsCancellation == true)
            {
                // 取消异步操作
                backgroundWorker1.CancelAsync();
            }
            this.startAsyncButton.Enabled = true;
        }

        //主任务的实现
        private void backgroundWorker1_DoWork(object sender, DoWorkEventArgs e)
        {
            BackgroundWorker worker = sender as BackgroundWorker;

            for (int i = 1; i &lt;= 10; i++)
            {
                if (worker.CancellationPending == true)
                {
                    e.Cancel = true;
                    break;
                }
                else
                {
                    // 执行计时操作并且报告进度
                    System.Threading.Thread.Sleep(500);
                    worker.ReportProgress(i * 10);
                }
            }
        }

        //更新进度
        private void backgroundWorker1_ProgressChanged(object sender, ProgressChangedEventArgs e)
        {
            resultLabel.Text = (e.ProgressPercentage.ToString() + "%");
        }

        //处理后台操作结果
        private void backgroundWorker1_RunWorkerCompleted(object sender, RunWorkerCompletedEventArgs e)
        {
            if (e.Cancelled == true)
            {
                resultLabel.Text = "Canceled!";
            }
            else if (e.Error != null)
            {
                resultLabel.Text = "Error: " + e.Error.Message;
            }
            else
            {
                resultLabel.Text = "Done!";
            }
        }
    }
}</pre>
<p> </p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-18 06:09:53</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/windows/" title="windows">windows</a>, <a href="https://www.iamivan.net/tag/void/" title="void">void</a>, <a href="https://www.iamivan.net/tag/%e7%94%a8%e6%88%b7%e7%95%8c%e9%9d%a2/" title="用户界面">用户界面</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>C#中的BackgroundWorker控件的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRqAaqb.html" rel="bookmark">急啊，BackgroundWorker 控件和切换输入法造成程序死机的问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 如题,我在winform程序中使用BackgroundWorker控件来处理界面数据,以防止程序出现未响应的状态,并且根据需求,在程序运行的过程中需要一直使用到BackgroundWorker控件进行后台处理,但是,我在界面上,或者其他的弹出窗体上进行切换输入法时,程序会出现未响应而死掉,这是咋回事呀? 解决方案 解决方案二:遇到过..不过忘记解决方法了和线程有关是不是用到了timer的定时执行之类解决方案三:引用1楼luochanghua的回复: 遇到过..不过忘记解决方法了和线程有			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/9zeP9pj.html" rel="bookmark">C&plus;&plus; Builder中如何保持控件的位置及大小</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				C++ Builder/Delphi是Inprise(原Borland)公司广受欢迎的可视化C++/Pascal开发工具,利用它可极大地加快应用程序的开发速度.但是,也正因为其是可视化编程工具,将控件拖放到Form后,控件的位置就固定死了.随着Form的大小或屏幕分辨率的改变,控件和Form本身的位置往往变得非常混乱.本文将介绍一些正确定位控件及Form的方法. 利用OnResize事件改变控件位置及大小 C++ Builder/Delphi中的Form控件有一个OnResize事件,Form的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/dzZgAqb.html" rel="bookmark">Asp&period;Net中使用Highcharts控件X轴的categories数据一多会被截断</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 Asp.Net中使用Highcharts控件X轴的categories数据一多会被截断 xAxis: { tickmarkPlacement: &quot;&quot;on&quot;&quot; type: 'datetime' tickInterval: [&lt;%=num %&gt;] categories: [&lt;%=lastModifyTime %&gt;] } xAxis中 categories数据会被截断的问题怎么解决 解决方案 ASP.NET中通过WebService获取数			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/4MYdXBb.html" rel="bookmark">重写UITableViewCell子类中属性的setter方法来实现隐藏或显示该cell中的某些控件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				重写UITableViewCell子类中属性的setter方法来实现隐藏或显示该cell中的某些控件 为什么会需要这样子的一种方法来实现隐藏或者显示一个cell中的某些控件呢? 其实,隐藏cell中某些控件可以直接在tableView:cellForRowAtIndexPath:方法中直接实现,我们需要判断外部变量比如bool值来决定是否显示这个控件,但需要额外的代码写在tableView:cellForRowAtIndexPath:方法当中,如果我们把bool值传递给该cell让其自己判断是否			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/7M0YBAp.html" rel="bookmark">在 C&plus;&plus; Builder中利用串行通信控件编程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				摘要:串口是常用的计算机与外部串行设备之间的数据传输通道,由于串行通信方便易行,所以应用广泛.本文介绍了在C++ Builder中如何利用串行通信控件进行串行通信编程. 一.引言 目前,在用计算机进行数据传输时,常用的是串行通信方式.用C++ Builder来编写串行通信程序时,可以调用Windows API函数,也可以利用VB中的MSComm控件. 利用 API函数编写实际应用程序时,往往要考虑多线程的问题,这样编出来的程序不但十分庞大,而且结构比较复杂,继承性差,维护困难.但是使用串行通信控			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/XMlVynz.html" rel="bookmark">创建可编辑的xml文档&lpar;之五&rpar;执行中的treeview 控件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				treeview|xml|创建|控件|执行 执行中的treeview 控件  为了更完美,列表4包含了VB.NET version, or C# version 两个版本的最终treevie 控件.为了更容易使用,我重新定义了结构和代码.同时增加了KeyDown 控制来支持一些默认的快捷键例如:Control-N (新建), F2 (编辑), 和DEL (删除).  这里好象不必附加任何事件,因此最终的api 包含一个方法和八个属性,他们在表1中列出来了,他们大多数都是简单的标志,或者默认的开关			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Nz7L0Zb.html" rel="bookmark">ASP&period;NET2&period;0中的AccessDataSource控件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				access|asp.net|控件 ASP.NET 2.0包含了AccessDataSource控件,用来从Access数据库中将数据提取至ASP.NET 2.0(.aspx)页面.这个控件拥有的属性很简单.AccessDataSource的最重要的属性是DataFile属性,用来指向硬盘上MDB文件的路径.AccessDataSource拥有的其他属性还有SelectCommand,用来设定一个显示需要返回的结果集(表和列)的语句.SelectCommand必须使用SQL语法来定义. 在VWD			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/aM66gXM.html" rel="bookmark">C&num;中加强ListView控件的功能</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				控件 首先是实现ListView控件的自定义排序,订阅ListView控件的ColumnClick事件 private void listView1_ColumnClick(object sender, ColumnClickEventArgs e){ if (this.listView1.Columns[e.Column].Tag == null) this.listView1.Columns[e.Column].Tag = true; bool tabK = (bool)this.listV			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ybjYYZz.html" rel="bookmark">关于ASP&period;NET2&period;0 中的用户控件编程使用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				asp.net|编程|控件 今天用了一下2.0中的用户控件,发现使用编程方式使用用户控件,跟1.X 中截然不同. 1.首先,要在所要使用的Page 头部声明引用.如下: &lt;%@ Reference Control=&quot;../Controls/AlbumEditor.ascx&quot; %&gt; 2.在后置代码里,从&quot;ASP&quot;空间中就可以找到此控件的类引用了,不过还需要事例一下.-_-! 不明白设计者为什么要这么做,还不如1.1 那样直观.如下:  ASP.Contro			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMgPNBp.html" rel="bookmark" class="title">面向程序员的数据库访问性能优化法则</a>
					<div>
						面向程序员的数据库访问性能优化法则     http://blog.csdn.net/yzsind/archive/2010/12/06/6059209.aspx					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qMqEnOM.html" rel="bookmark" class="title">如何用ASP编写网站统计系统</a>
					<div>
						在目前的网站统计系统决大部分都是CGI的,但编写起来特别复杂,而ASP学起来简单,更有和数据库结合的优点,所以结合自己曾经做过的网站统计系统,和大家探讨一下ASP编写网站统计系统. 大家都看过网易的网 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqLVXGb.html" rel="bookmark" class="title">More Effective C&plus;&plus;：通过引用捕获异常</a>
					<div>
						当你写一个catch子句时,必须确定让异常通过何种方式传递到catch子句里.你可以有三个选择:与你给函数传递参数一样,通过指针(by pointer),通过传值(by value)或通过引用(by  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB2vBab.html" rel="bookmark" class="title">Win7系统IE9无法卸载怎么办？</a>
					<div>
						  一.IE9无法卸载的可能原因 发生这种问题的原因,有可能是在安装的过程中受到其他软件干扰,导致没有正确地写入卸载信息,或者在安装了IE9 之后使用了第三方清理工具对系统进行过清理,导致相关信息被清 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZdgnOM.html" rel="bookmark" class="title">20个创意十足的网页视差滚动效果欣赏</a>
					<div>
						  Beatbox Academy Discover Shadow This is Now Sam Markiewicz Erős Balázs Le Tour de France Pi's Epic ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJZev6z.html" rel="bookmark" class="title">联想笔记本BIOS设置图解</a>
					<div>
						开机时,按F2,进入BIOS菜单.首先进入的是计算机信息菜单栏,包括计算机型号.BIOS版本,以及CPU.内存.硬盘.光驱等主要硬件信息.相关信息如下图: 下图是硬件组态设置.主要包括:时间.日期设置 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYRY4xp.html" rel="bookmark" class="title">Win 2003下IIS配置教程</a>
					<div>
						  跟其它windows平台一样,windows2003同样可以采用第三方软件或系统自带IIS6.0两种方式架设WEB服务器;同时 windows2003还有一个web版本,专用于基于web服务的各种 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgVK5Zb.html" rel="bookmark" class="title">WDCP面板系统安装mysqli扩展的方法</a>
					<div>
						下载mysqli扩展且安装 mysqli的安装: wget -c http://hubeidc.com/dl/wdcp/mysqli/mysqli_ins.sh &amp;&amp; chmod 75 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrWPP6p.html" rel="bookmark" class="title">asifromdatarequest-iOS客户端向C&num;服务端post数据问题</a>
					<div>
						问题描述 iOS客户端向C#服务端post数据问题 C#服务端要求接收的数据包格式为UInt16类型的2位,UInt32类型的4位,String类型的8位,Byte类型的1位... 目前我用NSMut ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7Y93XM.html" rel="bookmark" class="title">java-JAVA新人 构造器  private  创建 对象</a>
					<div>
						问题描述 JAVA新人 构造器 private 创建 对象 既然构造器是private的,为什么A语句有效?不是不能直接创建对象吗? 刚刚学JAVA,不懂. 解决方案 首先,你的构造器私有的话,那么这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeRR78b.html" rel="bookmark" class="title">演讲实录丨王士进 人工智能开启智慧教育新模式</a>
					<div>
						人工智能开启智慧教育新模式    王士进 科大讯飞研究院副院长,智学网副总经理 王士进:各位嘉宾上午好!我是讯飞研究院的王士进.非常高兴能够根据汇的嘉宾一起分享讯飞在人工智能以及人工智能和智慧教育结合 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQB1DQM.html" rel="bookmark" class="title">造成错误的原因？</a>
					<div>
						问题描述 行17:&lt;TR&gt;行18:&lt;TDCLASS=&quot;search_style&quot;WIDTH=&quot;70%&quot;&gt;&lt;TDCLASS=&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3rvWwz.html" rel="bookmark" class="title">input 输入框获得&sol;失去焦点时隐藏与显示文字</a>
					<div>
						js中实现方法  代码如下 复制代码 &lt;input type=&quot;text&quot; value=&quot;不推荐这么做&quot; onfocus=&quot;if(this.va ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6032Nz.html" rel="bookmark" class="title">struts2&period;2&period;1如何设置javadoc文件在MyEclipse中使用</a>
					<div>
						问题描述 在MyEclipse中,如何设置strust2.2.1的javadoc文件,按F1时,来显示javadoc提示!在strust2.2.1中的docs文件中,S2PLUGINS和WW文件夹的作 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mgw4NAM.html" rel="bookmark" class="title">poj  2240 Arbitrage  最短路</a>
					<div>
						    其实就是找到乘积最大的一条回路,如果大于1就是YES否则就是NO,用bellman N4都能过-- /* author:jxy lang:C/C++ university:China,Xidi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M60YKXz.html" rel="bookmark" class="title">AQtime实战</a>
					<div>
						最近在博客园看到了JustIn兄弟写的一些列的AQtime文章,非常不错,看完了手痒痒于是自己就写点了. Justin [原创]DebugTools系列(1):AQTime初探 [原创]DebugTo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M128rrp.html" rel="bookmark" class="title">FOXPRO的程序如何加密，才能不被UNFOXALL轻易的解开</a>
					<div>
						问题描述 FOXPRO的程序如何加密,才能不被UNFOXALL轻易的解开 最近网络下了,好几款软件,进行加壳,但最终都可以被UNFOXALL轻易的解开!FOXPRO的程序如何加密,才能不被UNFOXA ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJqB3Vp.html" rel="bookmark" class="title">【破解DeepMind的游戏人工智能】AI现在只看2分钟视频就能创建游戏了</a>
					<div>
						佐治亚理工学院的研究人员正在开发一种可以通过观看游戏过程以重建游戏引擎的AI. 这项技术旨在帮助视频游戏开发者加快游戏开发,并尝试不同风格的游戏. 在最近的实验中,AI观看了两分钟的超级马里奥兄弟游戏 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5RPy6z.html" rel="bookmark" class="title">编程-关于jeecms开源框架的问题</a>
					<div>
						问题描述 关于jeecms开源框架的问题 关于jeecms二次开发需要掌握什么编程知识,是不是只需要在后台上直接操作就好?还是得打什么代码? 解决方案 如果你要开发新的功能,那就要对源码进行开发,je ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj8dWWp.html" rel="bookmark" class="title">关于MYSQL的优化全面详解&lowbar;Mysql</a>
					<div>
						先说一下最常见基本的系统瓶颈: 1.硬盘搜索.现代磁盘的平均时间通常小于10ms,因此理论上我们每秒能够大约搜索1000次,这样我们在这样一个磁盘上搜索一个数据,很难优化,一个办法就是将数据分布在多个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL546Lz.html" rel="bookmark" class="title">在ADO使用SELECT语法三</a>
					<div>
						接上一篇文章:ORDER BYORDER BY子句,可以设定排序的字段.在一个SQL表达式之中,ORDER BY子句通常放置于最后. 若要以递减顺序来进行排序(Z~A,9 ~0),须于您要递减排序的每 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boLYdvM.html" rel="bookmark" class="title">jquery淡入淡出效果与注意事项</a>
					<div>
						看到有的flash网站的图标,鼠标一放上去图标就缓缓变了,移开又会缓缓变回来,很是漂亮.我打算用jquery也做做看,能不能做出类似的效果.因为自己练手,就随便拉两张图片: 复制代码 代码如下: &l ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8NqJ4b.html" rel="bookmark" class="title">SQLWB-SQL server Management Studio 已停止工作</a>
					<div>
						问题描述 我说一下我的情况:前几天,我成功地把JAVA和数据库成功的连接,到了第二天就不行了,我就在网上找很多答案,启动又关闭SQLSERVER有关的服务和配置,但最后还是不行.我以为是我的数据库有问 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2ZXZZb.html" rel="bookmark" class="title">oaf-OAF TemplateHelper对象是哪个Lib或Jar包里面的</a>
					<div>
						问题描述 OAF TemplateHelper对象是哪个Lib或Jar包里面的 OAF TemplateHelper对象是哪个Lib或Jar包里面的 解决方案 这个直接百度就好了,,谁记得这个啊					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYNloQp.html" rel="bookmark" class="title">Linux下用FFMPEG采集usb摄像头到RTMP</a>
					<div>
						Linux下用 FFMPEG 采集 usb摄像头视频 和 摄像头内置麦克风音频 到RTMP服务   ffmpeg -f video4linux2 -qscale 10 -r 12 -s 640x480 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0NAdmz.html" rel="bookmark" class="title">如何查找jar中的文件，并解压出来</a>
					<div>
						问题描述 有xxx.jar,想找其中的文件名中包含001的txt文件,并把它解压到temp:jar tvf xxx.jar | grep '001.*txt' &gt; /temp这样好像是不对得,应 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmRBnqz.html" rel="bookmark" class="title">你的软件才不值得下载</a>
					<div>
						我不会在我的电脑上下载一个BBC软件或者一个NPR软件.那为什么我想在我的手机上下载一个?我是否买了一台独立的收音机去听不同的电台?不.他们功能都是相同的,唯一的不同点在于内容.软件应该提供一些实际的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MA6q73p.html" rel="bookmark" class="title">一把锤子引发友谊危机《永恒之塔》黑装备事件</a>
					<div>
						事情发生在2010年12月11日晚上12点,永恒之塔十三区永恒之巅某军团S队伍因为固定奶妈越姐不在,所以换上军团其他奶妈雅雅.队伍最后出了把塔哈巴塔的战斗锤,军团长疯子说把锤子给越姐.这个就是事情的简 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bByAyJz.html" rel="bookmark" class="title">CIO免费IT预算计划模板</a>
					<div>
						稳固的IT预算对于管理技术支出和促进合作都是关键的.查看以下这些免费的IT预算计划模板,来帮助起草你的预算计划. 研究.设计,并且,将一切控制在IT预算计划内,并不容易.要建立一个现实的,深思熟虑的计 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyKjAJz.html" rel="bookmark" class="title">私刻公章骗得电信套餐手机332部</a>
					<div>
						转手获益159万,罪犯昨日一审被判处有期徒刑12年,罚金10万 记者 姚克勤 晨报讯 杨某身为一家通信公司老总,利用职务之便私自截留大客户的企业法人营业执照等复印件,到中国电信(微博)上海分公司申请3 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.033 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
